"""Thin wrapper for module Robots. Provides "default" robot

This file is a part of Bookmarks database and Internet robot.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 1997-2017 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['import_robot', 'robot']


from os import environ
from bkmk_objects import parse_params, set_params

robot_name, robot_params = parse_params(environ.get("BKMK_ROBOT", "forking"))

def import_robot(robot_name):
   exec("from Robots import bkmk_r%s" % robot_name)
   exec("robot = bkmk_r%s.robot_%s" % (robot_name, robot_name))
   return robot

robot = import_robot(robot_name)
set_params(robot, robot_params)
